public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-power/phc-intel/, sys-power/phc-intel/files/
@ 2017-12-14 15:08 Michael Weber
  0 siblings, 0 replies; only message in thread
From: Michael Weber @ 2017-12-14 15:08 UTC (permalink / raw
  To: gentoo-commits

commit:     c26d8a059c972063428bdc314c0ac53695ab75b5
Author:     Michael Weber <xmw <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 14 15:07:18 2017 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Thu Dec 14 15:08:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c26d8a05

sys-power/phc-intel: Version bump.

Package-Manager: Portage-2.3.18, Repoman-2.3.6

 sys-power/phc-intel/Manifest                       |  1 +
 ...phc-intel-0.3.2-rev24-trailing-space-4.10.patch | 51 ++++++++++++++++
 .../phc-intel-0.3.2-rev24-trailing-space-4.7.patch | 51 ++++++++++++++++
 .../phc-intel-0.3.2-rev24-trailing-space-4.9.patch | 51 ++++++++++++++++
 sys-power/phc-intel/phc-intel-0.3.2.12.24.ebuild   | 68 ++++++++++++++++++++++
 5 files changed, 222 insertions(+)

diff --git a/sys-power/phc-intel/Manifest b/sys-power/phc-intel/Manifest
index e9f71382996..90738902a90 100644
--- a/sys-power/phc-intel/Manifest
+++ b/sys-power/phc-intel/Manifest
@@ -1,2 +1,3 @@
 DIST phc-intel-pack-rev17.tar.bz2 100565 BLAKE2B e9209b8530cc7eebd045c874766ae63116b3b112e21100d88b9e676894f0e72a3f63150abd6b5e85e964b7380439e9843ea3273f622e14a2532bdaac5ce99201 SHA512 0db84ae3e366ff95577ee89b2e1cb22778fdba76783aa2606b6b5925e46c6e5daf80a7365eba6f3f806a017daa98d7b20828c644a3967f180c612e7c92a94871
 DIST phc-intel-pack-rev21.tar.bz2 111951 BLAKE2B 77c469b897500bd7c7196b6f6869dba71514bad15a0ff21a3c2cc9a7871a718bedf06a3f93a61dd70ba4269405f8b9a7043bba134c0db003f519dd52c7d6fb6c SHA512 4aaa7beffe107d31bd9006f658b9a280ef0ace3d81ac88ef281b958803ac9e551ed4a33d5f25c0ec28d3d80349cfd4f81bcfcf708767dae133b4389b6d2348a0
+DIST phc-intel-pack-rev24.tar.bz2 117565 BLAKE2B 450518537c6a67b05448aca2a0f495cde5d6db60d981f7d2ffb07e861f842aabe20946edf67551e3062121c3d310ad0a9b052c9743b180c53920d1731607b881 SHA512 88b4c2e837729f62c59c3050c696d90c033a08a50e5594830ffa3b1008cecb7330792693453621758a0b64b239f9d96966c14f171bdb138341d64ff8a923881c

diff --git a/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.10.patch b/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.10.patch
new file mode 100644
index 00000000000..e5820b31503
--- /dev/null
+++ b/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.10.patch
@@ -0,0 +1,51 @@
+--- phc-intel-pack-rev24/inc/4.10/linux-phc-0.3.2.patch
++++ phc-intel-pack-rev24/inc/4.10/linux-phc-0.3.2.patch
+@@ -98,7 +98,7 @@
+  static enum cpuhp_state acpi_cpufreq_online;
+  
+  static void __init acpi_cpufreq_boost_init(void)
+-@@ -934,6 +930,494 @@
++@@ -934,6 +930,499 @@
+  		cpuhp_remove_state_nocalls(acpi_cpufreq_online);
+  }
+  
+@@ -172,6 +172,7 @@
+ +		vid = extract_vid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u ", vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -200,6 +201,7 @@
+ +		vid = extract_vid_from_control(data->original_controls[freq_table[i].driver_data]);
+ +		count += sprintf(&buf[count], "%u ", vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -225,6 +227,7 @@
+ +		fid = extract_fid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u ", fid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -255,6 +258,7 @@
+ +		vid = extract_vid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u:%u ", fid, vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -288,6 +292,7 @@
+ +		vid = extract_vid_from_control(data->original_controls[freq_table[i].driver_data]);
+ +		count += sprintf(&buf[count], "%u:%u ", fid, vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;

diff --git a/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.7.patch b/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.7.patch
new file mode 100644
index 00000000000..256910ba42e
--- /dev/null
+++ b/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.7.patch
@@ -0,0 +1,51 @@
+--- phc-intel-pack-rev24/inc/4.7/linux-phc-0.3.2.patch
++++ phc-intel-pack-rev24/inc/4.7/linux-phc-0.3.2.patch
+@@ -98,7 +98,7 @@
+  static void __init acpi_cpufreq_boost_init(void)
+  {
+  	if (boot_cpu_has(X86_FEATURE_CPB) || boot_cpu_has(X86_FEATURE_IDA)) {
+-@@ -958,6 +954,494 @@
++@@ -958,6 +954,499 @@
+  	}
+  }
+  
+@@ -172,6 +172,7 @@
+ +		vid = extract_vid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u ", vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -200,6 +201,7 @@
+ +		vid = extract_vid_from_control(data->original_controls[freq_table[i].driver_data]);
+ +		count += sprintf(&buf[count], "%u ", vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -225,6 +227,7 @@
+ +		fid = extract_fid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u ", fid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -255,6 +258,7 @@
+ +		vid = extract_vid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u:%u ", fid, vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -288,6 +292,7 @@
+ +		vid = extract_vid_from_control(data->original_controls[freq_table[i].driver_data]);
+ +		count += sprintf(&buf[count], "%u:%u ", fid, vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;

diff --git a/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.9.patch b/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.9.patch
new file mode 100644
index 00000000000..08e5b7ecb84
--- /dev/null
+++ b/sys-power/phc-intel/files/phc-intel-0.3.2-rev24-trailing-space-4.9.patch
@@ -0,0 +1,51 @@
+--- phc-intel-pack-rev24/inc/4.9/linux-phc-0.3.2.patch
++++ phc-intel-pack-rev24/inc/4.9/linux-phc-0.3.2.patch
+@@ -98,7 +98,7 @@
+  static void __init acpi_cpufreq_boost_init(void)
+  {
+  	if (boot_cpu_has(X86_FEATURE_CPB) || boot_cpu_has(X86_FEATURE_IDA)) {
+-@@ -955,6 +951,494 @@
++@@ -955,6 +951,499 @@
+  	}
+  }
+  
+@@ -172,6 +172,7 @@
+ +		vid = extract_vid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u ", vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -200,6 +201,7 @@
+ +		vid = extract_vid_from_control(data->original_controls[freq_table[i].driver_data]);
+ +		count += sprintf(&buf[count], "%u ", vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -225,6 +227,7 @@
+ +		fid = extract_fid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u ", fid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -255,6 +258,7 @@
+ +		vid = extract_vid_from_control(perf->states[freq_table[i].driver_data].control);
+ +		count += sprintf(&buf[count], "%u:%u ", fid, vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;
+@@ -288,6 +292,7 @@
+ +		vid = extract_vid_from_control(data->original_controls[freq_table[i].driver_data]);
+ +		count += sprintf(&buf[count], "%u:%u ", fid, vid);
+ +	}
+++	if (count) count--;
+ +	count += sprintf(&buf[count], "\n");
+ +
+ +	return count;

diff --git a/sys-power/phc-intel/phc-intel-0.3.2.12.24.ebuild b/sys-power/phc-intel/phc-intel-0.3.2.12.24.ebuild
new file mode 100644
index 00000000000..34f2567f2ad
--- /dev/null
+++ b/sys-power/phc-intel/phc-intel-0.3.2.12.24.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit linux-info linux-mod eutils
+
+DESCRIPTION="Processor Hardware Control for Intel CPUs"
+HOMEPAGE="http://www.linux-phc.org/
+	http://www.linux-phc.org/forum/viewtopic.php?f=7&t=267"
+#no automatic filenames here, sorry
+SRC_URI="http://www.linux-phc.org/forum/download/file.php?id=178 -> phc-intel-pack-rev24.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+CONFIG_CHECK="~!X86_ACPI_CPUFREQ"
+ERROR_X86_ACPI_CPUFREQ="CONFIG_X86_ACPI_CPUFREQ has to be configured to Module to enable the replacement of acpi-cpufreq with phc-intel."
+
+MODULE_NAMES="phc-intel(misc:)"
+BUILD_PARAMS="KERNELSRC=\"${KERNEL_DIR}\" -j1"
+BUILD_TARGETS="all"
+
+S=${WORKDIR}/${A/.tar.bz2}
+
+pkg_setup() {
+	if kernel_is lt 3 1 ; then
+		eerror "Your kernel version is no longer supported by this version of ${PN}."
+		eerror "Please use a previous version of ${PN} or a newer kernel."
+		die
+	fi
+	if kernel_is gt 4 14 ; then
+		eerror "Your kernel version is not yet tested with this version of ${PN}."
+		eerror "It might not build or expose runtime problems."
+	fi
+	linux-mod_pkg_setup
+}
+
+src_prepare() {
+	default
+
+	epatch \
+		"${FILESDIR}"/phc-intel-0.3.2-rev21-trailing-space-3.{4,7,9,10,11,12,13,14,15}.patch \
+		"${FILESDIR}"/phc-intel-0.3.2-rev21-trailing-space-4.{1,3,5,6}.patch \
+		"${FILESDIR}"/phc-intel-0.3.2-rev24-trailing-space-4.{7,9,10}.patch
+
+	sed -e '/^all:/s:prepare::' \
+		-i Makefile || die
+
+	local my_sub=arch/x86/kernel/cpu
+	if kernel_is gt 2 6 39 ; then
+		my_sub=drivers
+	fi
+	cp -v "${KERNEL_DIR}"/${my_sub}/cpufreq/acpi-cpufreq.c . || die
+	if kernel_is lt 3 12 ; then
+		cp -v "${KERNEL_DIR}"/${my_sub}/cpufreq/mperf.h . || die
+	fi
+
+	if kernel_is lt 4 11 ; then
+		epatch inc/${KV_MAJOR}.${KV_MINOR}/linux-phc-0.3.2.patch
+	else
+		epatch inc/4.10/linux-phc-0.3.2.patch
+	fi
+
+	mv acpi-cpufreq.c phc-intel.c || die
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2017-12-14 15:08 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-12-14 15:08 [gentoo-commits] repo/gentoo:master commit in: sys-power/phc-intel/, sys-power/phc-intel/files/ Michael Weber

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox